import Vue from 'vue'

export declare class VmaVideoView extends Vue {
  /**
   * 是否显示，可双向绑定
   * 
   * @private
   * @type {boolean}
   * @memberOf VmaImageView
   */
  private visible: boolean

  /**
   * 视频地址
   * 
   * @private
   * @type {string}
   * @memberOf VmaImageView
   */
  private url: string

  
  /**
   * controls
   * 
   * @private
   * @type {boolean}
   * @memberOf VmaImageView
   */
  private controls: boolean

  /**
   * autoplay
   * 
   * @private
   * @type {boolean}
   * @memberOf VmaImageView
   */
  private autoplay: boolean
}