import Vue from 'vue'

export declare class SearchMore extends Vue {
  /**
   * 是否显示，可双向绑定
   * 
   * @private
   * @type {boolean}
   * @memberOf VmaImageView
   */
  private visible: boolean

  /**
   * 标题，默认：更多
   * 
   * @private
   * @type {string}
   * @memberOf VmaImageView
   */
  private title: string

  /**
   * 按钮标题，默认：更多
   * 
   * @private
   * @type {string}
   * @memberOf VmaImageView
   */
  private btnTitle: string

  /**
   * 尺寸，默认：40%
   * 
   * @private
   * @type {string}
   * @memberOf VmaImageView
   */
  private size: string

  /**
   * 是否显示小红点，默认：false
   * 
   * @private
   * @type {boolean}
   * @memberOf VmaImageView
   */
  private badge: boolean
}