interface UploadOptions {
  exts?: string[],
  singleFileSize?: number
  filename?: string
  data?: any
  headers?: any
  withCredentials?: boolean
  model?: any
  onProgress?: () => void
  showMessage?: (message: string) => void
  transformResponseData?: (data: any, blobOrFile: Blob | File) => any
}

export default class Upload {
  public static extendDefaultOptions(options: UploadOptions)
  private options: UploadOptions
  public upload(blobOrBase64: Blob | File): Promise<any>
}
